Bug 28382 - 'Reserve' should be passed through as transfer reason appropriately in branchtransfers
Summary: 'Reserve' should be passed through as transfer reason appropriately in branch...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on: 27064
Blocks: 25753 28520
  Show dependency treegraph
 
Reported: 2021-05-19 08:30 UTC by Martin Renvoize
Modified: 2021-06-21 12:35 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.01


Attachments
Bug 28382: Set trigger to 'Reserve' when actioning a resver transfer (1.91 KB, patch)
2021-05-19 08:42 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28382: Set trigger to 'Reserve' when actioning a resver transfer (1.96 KB, patch)
2021-05-19 11:26 UTC, David Nind
Details | Diff | Splinter Review
Bug 28382: Set trigger to 'Reserve' when actioning a reserve transfer (2.14 KB, patch)
2021-06-08 13:41 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-05-19 08:30:09 UTC
The 'branchtransfers' script can be used to initiate a transfer, but it is currently hard coded to always record the transfer trigger as 'Manual'.. in some cases the transfer prompts the user that a reserve has been found and allows them to make the decision that the transfer if to satisfy the reserve.. as such we should pass through the trigger in this case.
Comment 1 Martin Renvoize 2021-05-19 08:42:39 UTC
Created attachment 121145 [details] [review]
Bug 28382: Set trigger to 'Reserve' when actioning a resver transfer

This patch sets the transfer trigger to 'Reserve' when the staff user
confirms they are transfering to fulfil a reserve.

Test plan
1 - Place a hold for delivery at Library B
2 - Sign in at Library A
3 - Browse to Circulation->Transfers
4 - Attempt to transfer an item on the title with the hold to Library B
5 - You get a notice that hold was found
6 - You have the option transfer the for the hold - click it
7 - Confirm hold is set to transit and transfer generated
8 - Check the branchtransfers table and confirm the 'reason' is
  'Reserve' not 'Manual'.
Comment 2 David Nind 2021-05-19 11:26:17 UTC
Created attachment 121152 [details] [review]
Bug 28382: Set trigger to 'Reserve' when actioning a resver transfer

This patch sets the transfer trigger to 'Reserve' when the staff user
confirms they are transfering to fulfil a reserve.

Test plan
1 - Place a hold for delivery at Library B
2 - Sign in at Library A
3 - Browse to Circulation->Transfers
4 - Attempt to transfer an item on the title with the hold to Library B
5 - You get a notice that hold was found
6 - You have the option transfer the for the hold - click it
7 - Confirm hold is set to transit and transfer generated
8 - Check the branchtransfers table and confirm the 'reason' is
  'Reserve' not 'Manual'.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-05-24 01:26:13 UTC
Can/Should we turn "Reserve" into "hold" to follow terminology guidelines?
Comment 4 Martin Renvoize 2021-05-24 07:25:18 UTC
It's pre-existing, and it's a code that translates in templates to a suitable string.. I'm not too worried either way really.. it might be nice, but at the same time I think it should be done on it's own bug..?
Comment 5 Katrin Fischer 2021-05-24 09:43:43 UTC
(In reply to Martin Renvoize from comment #4)
> It's pre-existing, and it's a code that translates in templates to a
> suitable string.. I'm not too worried either way really.. it might be nice,
> but at the same time I think it should be done on it's own bug..?

I was nore sure if it was introduced here or reused - if it's preexisting I completely agree that it's out of scope here.
Comment 6 Joonas Kylmälä 2021-06-08 13:41:40 UTC
Created attachment 121724 [details] [review]
Bug 28382: Set trigger to 'Reserve' when actioning a reserve transfer

This patch sets the transfer trigger to 'Reserve' when the staff user
confirms they are transfering to fulfil a reserve.

Test plan
1 - Place a hold for delivery at Library B
2 - Sign in at Library A
3 - Browse to Circulation->Transfers
4 - Attempt to transfer an item on the title with the hold to Library B
5 - You get a notice that hold was found
6 - You have the option transfer the for the hold - click it
7 - Confirm hold is set to transit and transfer generated
8 - Check the branchtransfers table and confirm the 'reason' is
  'Reserve' not 'Manual'.

Signed-off-by: David Nind <david@davidnind.com>
JK: fix typo resver -> reserve
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 7 Joonas Kylmälä 2021-06-08 13:42:54 UTC
PQA and switching status to bug because the reason was not right previously.
Comment 8 Jonathan Druart 2021-06-14 15:34:23 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 9 Kyle M Hall 2021-06-18 11:14:36 UTC
Pushed to 21.05.x for 21.05.01
Comment 10 Fridolin Somers 2021-06-21 12:35:28 UTC
Depends on Bug 27064 not in 20.11.x